Package Details: kakoune-git 2019.07.01_r32_g837416ea-1

Git Clone URL: https://aur.archlinux.org/kakoune-git.git (read-only)
Package Base: kakoune-git
Description: Multiple-selection, UNIX-flavored modal editor
Upstream URL: https://github.com/mawww/kakoune
Licenses: custom:UNLICENSE
Conflicts: kakoune
Provides: kakoune
Submitter: galaux
Maintainer: lenormf
Last Packager: lenormf
Votes: 37
Popularity: 0.015900
First Submitted: 2013-12-18 16:01
Last Updated: 2019-07-21 19:21

Dependencies (9)

Required by (2)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

galaux commented on 2014-10-11 12:07

Definitely! I get a "sh: xmessage: command not found" when sending a SIGTERM to kak for test. Dependency added.
Thanks

kaze commented on 2014-10-11 10:52

I’m new to Arch so excuse me if my remark is irrelevant, but I think the “xorg-xmessage” dependency might be missing — see src/assert.cc, line 43.

galaux commented on 2014-04-11 18:48

Fixed.

shizeeg commented on 2014-04-10 14:39

@dumblob oh, okay.

dumblob commented on 2014-04-10 13:43

Oh, I forget to publish my solution of the ncurses problem: sed -i -r 's|ncursesw/(ncurses.h)|\1|' ncurses.cc (I'm lazy to regenerate such small patches).

shizeeg commented on 2014-04-10 12:11

01_ncurses.patch fails to apply against git HEAD

https://raw.githubusercontent.com/shizeeg/PKGBUILDs/master/kakoune-git/PKGBUILD
https://raw.githubusercontent.com/shizeeg/PKGBUILDs/master/kakoune-git/01_ncurses.patch

galaux commented on 2014-03-26 08:51

Mawww (upstream dev) kindly let me know neither "bash" nor "socat" are dependencies as of the last commit [0]. Package updated.

[0] https://github.com/galaux/aurpkgs/commit/3cffe7fbbd1d65e01fb3b74765de4f674644e771#commitcomment-5801494

galaux commented on 2014-03-25 12:21

You are absolutly right! (I cross-checked with upstream developer)
Latest version of the package restores the 'bash' dependency.
Thanks

Anonymous comment on 2014-03-24 15:31

According to https://github.com/mawww/kakoune/issues/81#issuecomment-36822364 the bash dependency should still be added. git-tools.kak still depends on it.

dumblob commented on 2014-03-11 22:30

According to the new changes upstream (see https://github.com/mawww/kakoune/commit/f733007a7ba8b35091ebca882cbf523fc5234e71), the 'bash' dependency should be removed.